### Function

# GLib ascii_strup

since: 2.0

#### Declaration

    gchar*
    g_ascii_strup (
      const gchar* str,
      gssize len
    )

#### Description

Converts all lower case ASCII letters to upper case ASCII letters, with semantics that exactly match `g_ascii_toupper()`.

Available since: 2.0

#### Parameters

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `gssize`

  Length of `str` in bytes, or `-1` if `str` is nul-terminated.

#### Return value

Type: `gchar*`

A newly-allocated string, with all the lower case characters in `str` converted to upper case. (Note that this is unlike the old `g_strup()`, which modified the string in place.)

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.